#board {
  width: 440px;
  height: 440px;
  margin: 0 auto;
  border: 6px solid #000000;
  border-radius: 10px;
  position: relative;
  background-color: #b97b56;
  padding: 10px;
}

.chips-container-td {
  background-color: #fff28e;
  box-sizing: border-box;
  box-shadow: 0 0 0 3px inset;
  border-radius: 10px;
}

.chip {
  display: block;
  width: 21px;
  height: 21px;
  border: 3px solid #000000;
  border-radius: 100%;
  position: absolute;
  transition: 0.5s;
  z-index: 999;
  box-shadow: 0 0 0 2px white;
  text-align: center;
  color: white;
  font-size: 23px;
  text-shadow: 1px 1px 2px black, -1px 1px 2px black, 0px -1px 2px black,
    0px 1px 2px black;
  font-family: monospace;
  font-weight: bold;
  line-height: 22px;
  user-select: none;
}

.tile {
  border: 2px solid black;
  background-color: white;
  position: relative;
}

.tiles-container {
  display: flex;
  width: min-content;
  /*position: absolute;*/
}

.v-tiles-up {
  flex-direction: column-reverse;
}

.v-tiles-down {
  flex-direction: column;
}

.h-tiles-left {
  flex-direction: row-reverse;
}

.h-tiles-right {
  flex-direction: row;
}

.tiles-container .tile:first-child {
  background: yellow;
}

table {
  width: 100%;
  height: 100%;
  border-spacing: 0px;
  border-collapse: collapse;
  position: relative;
  table-layout: fixed;
}

@-moz-document url-prefix() {
  .tile {
    background-clip: padding-box !important;
  }
}

.selected {
  background: orangered;
}

.dice {
  position: absolute;
}

.final-tile {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.chips-container-td table {
  width: 100%;
  height: 100%;
}

.grid-container {
  display: grid;
  grid-template-columns: auto auto;
  width: 100%;
  height: 100%;
}

app-dice {
  position: absolute;
  top: -80px;
  left: -60px;
  /* width: 50px; */
  /* height: 50px; */
  transform: scale3d(0.2, 0.2, 0.2) translateY(50%);
  /* margin: 0 auto; */
  /* top: -50%; */
}

.dice-container {
  position: relative;
}

.exiting-chip {
  transition: 1s;
  transform: scale(15);
  opacity: 0;
}

.finished-chip {
  display: none;
}

.jumping-chip {
  animation-name: jump-animation;
  animation-duration: 1s;
  animation-timing-function: ease;
  animation-delay: 0s;
  animation-iteration-count: 1;
  animation-direction: normal;
}
@keyframes jump-animation {
  0% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  20% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  40% {
    -webkit-transform: translateY(-30px);
    transform: translateY(-30px);
  }
  50% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  60% {
    -webkit-transform: translateY(-15px);
    transform: translateY(-15px);
  }
  80% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
  100% {
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

.disabled-dice {
  opacity: 0.5;
  pointer-events: none;
}

.arrow {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  text-align: center;
  vertical-align: middle;
  line-height: 44px;
  pointer-events: none;
  z-index: 0;
  user-select: none;
}

.arrow span {
  display: block;
  font-size: 20px;
  text-shadow: 0 0 1px black;
}

.arrow-to-right {
  transform: scale(2.5, 1.3);
  margin-left: 4px;
  margin-top: -4px;
}

.arrow-to-down {
  transform: scale(1.3, 2.5) rotate(90deg);
  margin-left: 3px;
}

.arrow-to-left {
  transform: scale(2.5, 1.3) rotate(180deg);
  margin-top: -2px;

}

.arrow-to-up {
  transform: scale(1.3, 2.5) rotate(-90deg);
  margin-top: -3px;
  margin-right: 2px;
}

.players-label-container {
  display: flex;
  justify-content: space-between;
}

.player-label {
  font-size: 41px;
  text-transform: uppercase;
  text-shadow: 0 0 0px black;
  font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
}

.board-container {
  overflow: hidden;
  width: auto;
  display: inline-block;
}

.main-container {
  display: table;
  margin: 0 auto;
}

.players-win-container {
  float: left;
  margin-top: 67px;
  height: 440px;
  width: 240px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.player-win span {
  vertical-align: middle;
}

.player-win .player-label {
  font-size: 50px;
  margin-right: 15px;
}

.player-star {
  font-size: 25px;
  vertical-align: middle;
  text-shadow: 0 0 1px black, 0 0 1px black, 0 0 1px black, 0 0 1px black,
    0 0 1px black;
}
